You're reading version 2023-03-15, which is not the latest. The latest is 2026-04-01: see this page in 2026-04-01.
Add collection supplemental information
Add supplemental information to a collection. This can be necessary if a collection requires 2 factor authentication. The collection will have the status 'TWO FACTOR PENDING' in this case.
Request
Header Parameters
The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.
2023-03-15.Request Body
The collection ID to append supplemental information to
The supplemental information to provide.
Responses
Data collection successfully initiated.
curl https://api.insurely.com/insurance-collection/supplement-info \
-H "client-id: <client-id>" \
-H "Insurely-Version: 2023-03-15" \
-H "Content-Type: application/json" \
-d '{
"collectionId": "22e633bc-427d-4f4a-87cf-cfaca04ef351",
"supplementalInformation": {
"type": "TWO_FACTOR_CODE",
"value": "A12345"
}
}' \
-X POST